Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class ArrayElementValue

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.ElementValue
          org.apache.tomcat.util.bcel.classfile.ArrayElementValue

    public class ArrayElementValue

extends ElementValue

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue
`ANNOTATION, ARRAY, CLASS, cpool, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

Constructor Summary
`ArrayElementValue(int type, ElementValue[] datums, ConstantPool cpool)`

Method Summary
`void` | `dump(DataOutputStream dos)`
`ElementValue[]` | `getElementValuesArray()`
`String` | `stringifyValue()`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue
`readElementValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayElementValue

    public ArrayElementValue(int type,
                             ElementValue[] datums,
                             ConstantPool cpool)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `ElementValue`

### dump

    public void dump(DataOutputStream dos)
              throws IOException

  Specified by:
    `dump` in class `ElementValue`
  Throws:
    `IOException`

### stringifyValue

    public String stringifyValue()

  Specified by:
    `stringifyValue` in class `ElementValue`

### getElementValuesArray

    public ElementValue[] getElementValuesArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.